aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--privoxy/privoxy-3.0.3.diff32
-rwxr-xr-xprivoxy/privoxy.SlackBuild121
-rwxr-xr-xprivoxy/privoxy.build132
-rwxr-xr-xsilc/silc-client.build7
4 files changed, 141 insertions, 151 deletions
diff --git a/privoxy/privoxy-3.0.3.diff b/privoxy/privoxy-3.0.3.diff
deleted file mode 100644
index 9e22ab67..00000000
--- a/privoxy/privoxy-3.0.3.diff
+++ /dev/null
@@ -1,32 +0,0 @@
-diff -Nur privoxy-3.0.3-stable/GNUmakefile.in privoxy-3.0.3-stable.patched/GNUmakefile.in
---- privoxy-3.0.3-stable/GNUmakefile.in 2004-01-31 02:15:33.000000000 +0100
-+++ privoxy-3.0.3-stable.patched/GNUmakefile.in 2006-03-13 21:39:29.000000000 +0100
-@@ -55,17 +55,17 @@
- USER = @USER@
- GROUP = @GROUP@
-
--prefix = @prefix@
--exec_prefix = @exec_prefix@
--CONF_BASE = @sysconfdir@
--SBIN_DEST = @sbindir@
--MAN_DIR = @mandir@
--MAN_DEST = $(MAN_DIR)/man1
--SHARE_DEST = @datadir@
--DOC_DEST = $(SHARE_DEST)/doc/privoxy
--VAR_DEST = @localstatedir@
--LOGS_DEST = $(VAR_DEST)/log/privoxy
--PIDS_DEST = $(VAR_DEST)/run
-+prefix = $(DESTDIR)@prefix@
-+exec_prefix = $(DESTDIR)@exec_prefix@
-+CONF_BASE = $(DESTDIR)@sysconfdir@
-+SBIN_DEST = $(DESTDIR)@sbindir@
-+MAN_DIR = $(DESTDIR)@mandir@
-+MAN_DEST = $(DESTDIR)$(MAN_DIR)/man1
-+SHARE_DEST = $(DESTDIR)@datadir@
-+DOC_DEST = $(DESTDIR)$(SHARE_DEST)/doc/privoxy
-+VAR_DEST = $(DESTDIR)@localstatedir@
-+LOGS_DEST = $(DESTDIR)$(VAR_DEST)/log/privoxy
-+PIDS_DEST = $(DESTDIR)$(VAR_DEST)/run
-
- # if $prefix = /usr/local then the default CONFDEST change from
- # CONF_DEST = $(CONF_BASE) to CONF_DEST = $(CONF_BASE)/privoxy
diff --git a/privoxy/privoxy.SlackBuild b/privoxy/privoxy.SlackBuild
index f4b0f684..e4a6d3f9 100755
--- a/privoxy/privoxy.SlackBuild
+++ b/privoxy/privoxy.SlackBuild
@@ -1,7 +1,6 @@
#!/bin/bash
#
-# slackbuild script for privoxy
-# by rhatto at riseup.net
+# SlackBuild script to call privoxy.build with correct settings
#
CWD="`pwd`"
@@ -16,124 +15,18 @@ fi
# default settings
PACKAGE="privoxy"
-ARCH=${ARCH:=i486}
VERSION=${VERSION:=3.0.3}
-BUILD=${BUILD:=4rha}
+ARCH="${ARCH:=i486}"
+BUILD=${BUILD:=1rha}
SRC_DIR=${SRC:=$CWD}
TMP=${TMP:=/tmp}
REPOS=${REPOS:=$TMP}
-if ! grep -qe "^$PACKAGE:" /etc/passwd || ! grep -qe "^$PACKAGE:" /etc/group; then
- echo "WARNING: user and/or group $PACKAGE does not exist"
- echo "Create it manually with \"groupadd $PACKAGE ; useradd $PACKAGE -g $PACKAGE\" and run this script again."
- exit 1
-fi
-
-if [ "$ARCH" == "x86_64" ]; then
- LIBDIR=/usr/lib64
-else
- LIBDIR=/usr/lib
-fi
-
-RTOOL="wget"
-PACKAGE_EXT="gz"
-SRC="$PACKAGE-$VERSION-stable-src.tar.$PACKAGE_EXT"
-URL="http://easynews.dl.sourceforge.net/sourceforge/ijbswa/$SRC"
-
-SRC_DIR="$SRC_DIR/$PACKAGE"
-mkdir -p $SRC_DIR
-
-if [ "$PACKAGE_EXT" == "bz2" ]; then
- tarflag="j"
-else
- tarflag="z"
-fi
-
-if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
- wget "$URL" -O "$SRC_DIR/$SRC"
-fi
-
-TMP="$TMP/$PACKAGE"
-rm -rf $TMP
-mkdir -p $TMP
-cd $TMP
-
-tar xvf$tarflag $SRC_DIR/$SRC
-cd $PACKAGE-$VERSION-stable
-
-if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
- # 3.0.3 patch got from
- # https://svn.openwrt.org/openwrt/trunk/openwrt/package/privoxy/patches/101-destdir.patch
- patch -p1 < $CWD/$PACKAGE-$VERSION.diff
-fi
+rm -rf $TMP/$PACKAGE
+mkdir -p $SRC_DIR/$PACKAGE $TMP/$PACKAGE
-autoheader
-autoconf
-./configure --prefix=/usr --sysconfdir=/etc/$PACKAGE --libdir=$LIBDIR
-make
-
-# for VERSION=0.3.3, privoxy Makefile doesnt respect DESTDIR correctly,
-# so beyond the patch we still need to do some nasty stuff...
-
-if [ "$VERSION" == "3.0.3" ]; then
- make DESTDIR=install install
- mkdir -p install/etc/rc.d
- cp $CWD/rc.privoxy.new install/etc/rc.d
- CWD="`pwd`"
- cd install
-else
- make DESTDIR=$TMP/package-$PACKAGE install
- mkdir -p $TMP/package-$PACKAGE/etc/rc.d
- cp $CWD/rc.privoxy.new $TMP/package-$PACKAGE/etc/rc.d
- CWD="`pwd`"
- cd $TMP/package-$PACKAGE
-fi
-
-mv etc/privoxy/config etc/privoxy/config.sample
-
-find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-
-mkdir install
-cat << EOF > install/slack-desc
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler-----------------------------------------------------|
-privoxy: privoxy (A Web proxy with advanced filtering capabilities)
-privoxy:
-privoxy: Privoxy is a Web proxy based on Internet Junkbuster with advanced
-privoxy: filtering capabilities for protecting privacy, filtering Web page
-privoxy: content, managing cookies, controlling access, and removing ads,
-privoxy: banners, pop-ups, and other obnoxious Internet junk. Privoxy has a
-privoxy: very flexible configuration and can be customized to suit individual
-privoxy: needs and tastes. Privoxy is useful for both stand-alone systems and
-privoxy: multi-user networks.
-privoxy:
-privoxy:
-EOF
-
-# docs
-mkdir -p usr/doc/$PACKAGE-$VERSION
-
-for file in AUTHORS ChangeLog INSTALL LICENSE Makefile README; do
- cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
-done
-
-# install script
-echo '( chroot . /sbin/ldconfig )' > install/doinst.sh
-echo '( if ! grep -qe "^privoxy:" etc/group; then echo creating group privoxy... ; chroot . /usr/sbin/groupadd privoxy; fi )' >> install/doinst.sh
-echo '( if ! grep -qe "^privoxy:" etc/passwd; then echo creating user privoxy... ; chroot . /usr/sbin/useradd privoxy -g privoxy; fi )' >> install/doinst.sh
-echo '( if [ ! -f "etc/rc.d/rc.privoxy" ]; then mv etc/rc.d/rc.privoxy.new etc/rc.d/rc.privoxy; fi )' >> install/doinst.sh
-echo '( if [ ! -f "etc/privoxy/config" ]; then mv etc/privoxy/config.sample etc/privoxy/config; fi )' >> install/doinst.sh
-
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+slacktrack -b $REPOS -x $TMP,$SRC_DIR,/dev -jefkzp "$PACKAGE-$VERSION-$ARCH-$BUILD.tgz" "./$PACKAGE.build"
if [ "$CLEANUP" == "yes" ]; then
- rm -rf $TMP
+ rm -rf $TMP/$PACKAGE
fi
-
diff --git a/privoxy/privoxy.build b/privoxy/privoxy.build
new file mode 100755
index 00000000..3151ce0f
--- /dev/null
+++ b/privoxy/privoxy.build
@@ -0,0 +1,132 @@
+#!/bin/bash
+#
+# build script for privoxy
+# by rhatto at riseup.net
+# build it with slacktrack, example:
+#
+# ARCH=x86_64 slacktrack -jefkzp "privoxy-3.0.3-x86_64-1rha.tgz" "./privoxy.build"
+#
+
+CWD="`pwd`"
+
+if [ -f "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+if [ -f "~/.slackbuildrc" ]; then
+ source ~/.slackbuildrc
+fi
+
+# default settings
+PACKAGE="privoxy"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=3.0.3}
+BUILD=${BUILD:=4rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if ! grep -qe "^$PACKAGE:" /etc/passwd || ! grep -qe "^$PACKAGE:" /etc/group; then
+ echo "WARNING: user and/or group $PACKAGE does not exist"
+ echo "Create it manually with \"groupadd $PACKAGE ; useradd $PACKAGE -g $PACKAGE\" and run this script again."
+ exit 1
+fi
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION-stable-src.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/ijbswa/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+if [ ! -d "$SRC_DIR" ]; then
+ mkdir -p $SRC_DIR
+fi
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+if [ ! -d "$TMP" ]; then
+ mkdir -p $TMP
+fi
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION-stable
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ # 3.0.3 patch got from
+ # https://svn.openwrt.org/openwrt/trunk/openwrt/package/privoxy/patches/101-destdir.patch
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+autoheader
+autoconf
+./configure --prefix=/usr --sysconfdir=/etc/$PACKAGE --libdir=$LIBDIR
+make
+# privoxy isnt handling DESTDIR correctly
+make install
+
+mkdir /etc/rc.d/
+cp $CWD/rc.privoxy.new /etc/rc.d
+CWD="`pwd`"
+
+mv /etc/privoxy/config /etc/privoxy/config.sample
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir /install
+cat << EOF > /install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+privoxy: privoxy (A Web proxy with advanced filtering capabilities)
+privoxy:
+privoxy: Privoxy is a Web proxy based on Internet Junkbuster with advanced
+privoxy: filtering capabilities for protecting privacy, filtering Web page
+privoxy: content, managing cookies, controlling access, and removing ads,
+privoxy: banners, pop-ups, and other obnoxious Internet junk. Privoxy has a
+privoxy: very flexible configuration and can be customized to suit individual
+privoxy: needs and tastes. Privoxy is useful for both stand-alone systems and
+privoxy: multi-user networks.
+privoxy:
+privoxy:
+EOF
+
+# docs
+mkdir -p /usr/doc/$PACKAGE-$VERSION
+
+for file in AUTHORS ChangeLog INSTALL LICENSE Makefile README; do
+ cp $CWD/$file* /usr/doc/$PACKAGE-$VERSION/
+done
+
+# install script
+echo '( chroot . /sbin/ldconfig )' > /install/doinst.sh
+echo '( if ! grep -qe "^privoxy:" etc/group; then echo creating group privoxy... ; chroot . /usr/sbin/groupadd privoxy; fi )' >> /install/doinst.sh
+echo '( if ! grep -qe "^privoxy:" etc/passwd; then echo creating user privoxy... ; chroot . /usr/sbin/useradd privoxy -g privoxy; fi )' >> /install/doinst.sh
+echo '( if [ ! -f "etc/rc.d/rc.privoxy" ]; then mv etc/rc.d/rc.privoxy.new etc/rc.d/rc.privoxy; fi )' >> /install/doinst.sh
+echo '( if [ ! -f "etc/privoxy/config" ]; then mv etc/privoxy/config.sample etc/privoxy/config; fi )' >> /install/doinst.sh
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/silc/silc-client.build b/silc/silc-client.build
index ff53e11f..b2181454 100755
--- a/silc/silc-client.build
+++ b/silc/silc-client.build
@@ -50,7 +50,7 @@ SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
URL="http://silcnet.org/download/client/sources/$SRC"
SRC_DIR="$SRC_DIR/$PACKAGE"
-if [ ! -d $SRC_DIR ]; then
+if [ ! -d "$SRC_DIR" ]; then
mkdir -p $SRC_DIR
fi
@@ -65,8 +65,7 @@ if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
fi
TMP="$TMP/$PACKAGE"
-if [ ! -d $TMP ]; then
- rm -rf $TMP
+if [ ! -d "$TMP" ]; then
mkdir -p $TMP
fi
cd $TMP
@@ -115,8 +114,6 @@ for file in BSD CHANGES COPYING CREDITS GPL INSTALL README README.CVS README.MAC
cp $CWD/$file* /usr/doc/$PACKAGE-$VERSION/
done
-makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
-
if [ "$CLEANUP" == "yes" ]; then
rm -rf $TMP
fi